Bug 223050 - www/bareos-webui: Call to undefined function _()
Summary: www/bareos-webui: Call to undefined function _()
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jose Alonso Cardenas Marquez
URL: https://bugs.bareos.org/view.php?id=864
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-16 19:04 UTC by erema15
Modified: 2018-05-18 05:41 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (acm)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description erema15 2017-10-16 19:04:46 UTC
2017/10/13 23:43:04 [error] 2534#100118: *1 FastCGI sent in stderr: "PHP message: PHP Fatal error: Call to undefined function _() in /usr/local/www/bareos-webui/module/Application/config/module.config.php on line 125" while reading response header from upstream, client: 10.0.2.2, server: localhost, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php-fpm.sock:", host: "localhost:9100"


See https://bugs.bareos.org/view.php?id=864
Comment 1 commit-hook freebsd_committer 2017-12-13 20:11:45 UTC
A commit references this bug:

Author: acm
Date: Wed Dec 13 20:11:14 UTC 2017
New revision: 456229
URL: https://svnweb.freebsd.org/changeset/ports/456229

Log:
  - Update to 16.2.7
  - Add missing dependency [1]

  PR:		223050 [1]
  Reported by:	erema15

Changes:
  head/www/bareos-webui/Makefile
  head/www/bareos-webui/distinfo
Comment 2 erema15 2018-01-21 18:36:29 UTC
Thank you for prompt correction!

I found some more lost dependencies.


--------------------------------------------------
2017/12/29 23:50:48 [error] 1539#100834: *7 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Uncaught exception 'Zend\Stdlib\Exception\RuntimeException' with message 'No wrapper found supporting "UTF-8"' in /usr/local/www/bareos-webui/vendor/zendframework/zend-stdlib/src/StringUtils.php:135
Stack trace:
#0 /usr/local/www/bareos-webui/vendor/zendframework/zend-validator/src/Hostname.php(1336): Zend\Stdlib\StringUtils::getWrapper('UTF-8')
#1 /usr/local/www/bareos-webui/vendor/zendframework/zend-http/src/PhpEnvironment/Request.php(287): Zend\Validator\Hostname->isValid('bareos.vch2044....')
#2 /usr/local/www/bareos-webui/vendor/zendframework/zend-http/src/PhpEnvironment/Request.php(86): Zend\Http\PhpEnvironment\Request->setServer(Object(Zend\Stdlib\Parameters))
#3 /usr/local/www/bareos-webui/vendor/zendframework/zend-mvc/src/Service/RequestFactory.php(32): Zend\Http\PhpEnvironment\Request->__construct()
#4 [internal function]: Zend\Mvc\Service\RequestFactory->createService(Object(Zend\ServiceManager\ServiceManager), 'request', 'Request')
#5 /usr/local/www/bareos-webui/" while reading response header from upstream, client: 10.10.10.1, server: bareos.bla.bla, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php-fpm.sock:", host: "bareos.bla.bla:9100"

is solved by installing the port converters/php56-iconv

--------------------------------------------------
2017/12/29 23:59:40 [error] 24621#100821: *1 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Uncaught exception 'Zend\Session\Exception\InvalidArgumentException' with message ''session.name' is not a valid sessions-related ini setting.' in /usr/local/www/bareos-webui/vendor/zendframework/zend-session/src/Config/SessionConfig.php:90
Stack trace:
#0 /usr/local/www/bareos-webui/vendor/zendframework/zend-session/src/Config/StandardConfig.php(266): Zend\Session\Config\SessionConfig->setStorageOption('name', 'bareos')
#1 /usr/local/www/bareos-webui/vendor/zendframework/zend-session/src/Config/StandardConfig.php(114): Zend\Session\Config\StandardConfig->setName('bareos')
#2 /usr/local/www/bareos-webui/module/Application/Module.php(147): Zend\Session\Config\StandardConfig->setOptions(Array)
#3 [internal function]: Application\Module->Application\{closure}(Object(Zend\ServiceManager\ServiceManager), 'zendsessionsess...', 'Zend\\Session\\Se...')
#4 /usr/local/www/bareos-webui/vendor/zendframework/zend-servicemanager/src/ServiceManager.php(939): call_user_func(Object(Closure)," while reading response header from upstream, client: 10.10.10.1, server: bareos.bla.bla, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php-fpm.sock:", host: "bareos.bla.bla:9100"

is solved by installing the port www/php56-session

--------------------------------------------------
2017/12/30 00:11:16 [error] 24621#100821: *9 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Call to undefined function Zend\Escaper\ctype_digit() in /usr/local/www/bareos-webui/vendor/zendframework/zend-escaper/src/Escaper.php on line 162" while reading response header from upstream, client: 10.10.10.1, server: bareos.bla.bla, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php-fpm.sock:", host: "bareos.bla.bla:9100"

is solved by installing the port textproc/php56-ctype

--------------------------------------------------
2017/12/30 00:21:18 [error] 24621#100821: *18 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Call to undefined function Bareos\BSock\hash_hmac() in /usr/local/www/bareos-webui/vendor/Bareos/library/Bareos/BSock/BareosBSock.php on line 789" while reading response header from upstream, client: 10.10.10.1, server: bareos.bla.bla, request: "POST / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php-fpm.sock:", host: "bareos.bla.bla:9100", referrer: "http://bareos.bla.bla:9100/"

is solved by installing the port security/php56-hash

--------------------------------------------------
2017/12/30 00:25:21 [error] 24621#100821: *26 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Call to undefined function Auth\Controller\json_decode() in /usr/local/www/bareos-webui/module/Auth/src/Auth/Controller/AuthController.php on line 91" while reading response header from upstream, client: 10.10.10.1, server: bareos.bla.bla, request: "POST / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php-fpm.sock:", host: "bareos.bla.bla:9100", referrer: "http://bareos.bla.bla:9100/"

is solved by installing the port devel/php56-json
--------------------------------------------------
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2018-05-18 05:41:35 UTC
- Committed thanks!!